﻿using System.Windows;
using GalaSoft.MvvmLight.Threading;

namespace TCPServer
{
    using FileManage.Comm;

    /// <summary>
    /// Interaction logic for App.xaml
    /// </summary>
    public partial class App : Application
    {
        static App()
        {
            DispatcherHelper.Initialize();
        }
        private NotifyIconComponent _component;
        protected override void OnStartup(StartupEventArgs e)
        {
            this.ShutdownMode = ShutdownMode.OnExplicitShutdown;
            MainWindow = new MainWindow();
            MainWindow.Closing += MainWindowClosing;
            MainWindow.Show();//初始化主界面
            _component = new NotifyIconComponent();
            _component.OnOpenMainView += (obj, args) =>
            {
                //处理现实主界面事件
                if (WindowState.Minimized == MainWindow.WindowState)
                {
                    //恢复窗体
                    MainWindow.WindowState = WindowState.Normal;
                    MainWindow.ShowInTaskbar = true;
                    _component.ShowTip("Restore MainView OK");
                }
            };
        }

        void MainWindowClosing(object sender, System.ComponentModel.CancelEventArgs e)
        {
            e.Cancel = true;//拦截关闭事件
            MainWindow.WindowState = WindowState.Minimized;
            MainWindow.ShowInTaskbar = false;
        }

        protected override void OnExit(ExitEventArgs e)
        {
            base.OnExit(e);
            _component.Dispose();
        }
    }
}